Last modified: 2014-09-02 11:21:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 49521 - LocalisationUpdate broken since GitBlit migration
LocalisationUpdate broken since GitBlit migration
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Deployment systems (Other open bugs)
unspecified
All All
: Highest critical (vote)
: ---
Assigned To: Chad H.
:
Depends on: 41961
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 09:25 UTC by Nemo
Modified: 2014-09-02 11:21 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2013-06-13 09:25:57 UTC
Filing as bug as it's a week now.

Gerrit change #67531 was merged (and deployed, according to Chad), but it wasn't enough; probably thanks to Gerrit change #68110, it now works for core; but extensions are still broken.

Example: https://git.wikimedia.org/commitdiff/mediawiki%2Fextensions%2FWikibase/127c6953860a41a8a03d73f97814f13855dee51e but old translation at [[d:MediaWiki:Wikibase-comment-update/nb]]
Comment 1 Andre Klapper 2013-06-13 13:23:38 UTC
Chad, do you plan to look into this?
Comment 2 Chad H. 2013-06-13 14:45:30 UTC
Yes, I was going to finish this up today.

I never said https://gerrit.wikimedia.org/r/#/c/67531/ was deployed, I just thought someone said it was. Looking at 1.22wmf6, it doesn't look like it's been deployed. Deploying this will fix it for production.
Comment 3 Nemo 2013-06-13 15:02:10 UTC
(In reply to comment #2)
> I never said https://gerrit.wikimedia.org/r/#/c/67531/ was deployed, I just
> thought someone said it was. 

Sorry for misrepresenting your words, it wasn't intentional.
Comment 4 Niklas Laxström 2013-06-13 15:29:06 UTC
Would probably be worth checking in the puppet repo whether the update scripts there override the standard urls in this extension as well.
Comment 5 Brad Jorsch 2013-06-13 16:35:01 UTC
(In reply to comment #4)
> Would probably be worth checking in the puppet repo whether the update
> scripts
> there override the standard urls in this extension as well.

The update scripts do override the standard urls, to point to an already-checked-out copy of mediawiki/core and mediawiki/extensions in the local filesystem. So the addition of urlencode in https://gerrit.wikimedia.org/r/#/c/67531/1/LocalisationUpdate.class.php is probably going to break things for any extension that has i18n files in a subdirectory or any other characters affected by urlencode in its filename.

I suppose we'll find out for sure tonight when l10nupdate runs against testwiki.
Comment 6 Gerrit Notification Bot 2013-06-13 20:05:44 UTC
Related URL: https://gerrit.wikimedia.org/r/68546 (Gerrit Change I22613d2ebcff86d6e6c5f106baf01c790f413f80)
Comment 7 Andre Klapper 2013-06-14 20:25:51 UTC
(In reply to comment #5)
> I suppose we'll find out for sure tonight when l10nupdate runs against
> testwiki.

Example given in comment 0 has been correctly updated.

Can this be closed as FIXED?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links